intcmp.h File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Functions

template<typename _Tp, typename _Up>
constexpr bool | std::cmp_equal (_Tp __t, _Up __u) noexcept
template<typename _Tp, typename _Up>
constexpr bool | std::cmp_greater (_Tp __t, _Up __u) noexcept
template<typename _Tp, typename _Up>
constexpr bool | std::cmp_greater_equal (_Tp __t, _Up __u) noexcept
template<typename _Tp, typename _Up>
constexpr bool | std::cmp_less (_Tp __t, _Up __u) noexcept
template<typename _Tp, typename _Up>
constexpr bool | std::cmp_less_equal (_Tp __t, _Up __u) noexcept
template<typename _Tp, typename _Up>
constexpr bool | std::cmp_not_equal (_Tp __t, _Up __u) noexcept
template<typename _Res, typename _Tp>
constexpr bool | std::in_range (_Tp __t) noexcept

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <utility>.

Definition in file intcmp.h.